Name: x11-driver-video-sisusb
Version: 0.9.3
Release: %mkrel 1
Summary: The X.org video driver for SiS video chips connected via a Net2280-based USB dongle
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-sisusb-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Patch1: 0001-Fix-build-with-Werror-format-security.patch
%description
x11-driver-video-sisusb is the X.org video driver for SiS video chips
connected via a Net2280-based USB dongle.

%prep
%setup -q -n xf86-video-sisusb-%{version}
%patch1 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/drivers/sisusb_drv.la
%{_libdir}/xorg/modules/drivers/sisusb_drv.so
%{_mandir}/man4/sisusb.*


%changelog
* Wed Aug 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.3-1mdv2010.0
+ Revision: 410355
- Update to new version 0.9.3
- Use %%configure2_5x to fix build

* Fri Jul 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 0.9.2-1mdv2010.0
+ Revision: 391933
- update to new version 0.9.2

* Fri Feb 27 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 0.9.1-1mdv2009.1
+ Revision: 345695
- Fix build with -Werror=format-security

  + Thierry Vignaud <tvignaud@mandriva.com>
    - new release
    - fix group

  + Colin Guthrie <cguthrie@mandriva.org>
    - Rebuild for new xserver

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.9.0-3mdv2009.1
+ Revision: 308176
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.0-2mdv2009.0
+ Revision: 265948
- rebuild early 2009.0 package (before pixel changes)
- improved description
- add missing dot at end of description

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.9.0-1mdv2009.0
+ Revision: 194151
- Update to version 0.9.0.

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.8.1-6mdv2008.1
+ Revision: 166133
- Attempt fix:
  [around 1k lines or messages]
  Submission errors, aborting:
- x11-driver-video-sisusb-0.8.1-6mdv2008.1.src:
 - description-line-too-long The X.org video driver for SiS video chips connected via a Net2280-based USB dongle.
  /export/home/repsys/@166112:x11-driver-video-sisusb-0.8.1-6mdv2008.1.src.rpm
  error performing action submit: Error during submission: 256
 at /usr/bin/mdvsys line 536
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.8.1-5mdv2008.1
+ Revision: 156621
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.8.1-4mdv2008.1
+ Revision: 154793
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-video-sisusb-0.8.1@mandriva suggested on upstream
  Tag at git checkout ec1d219d933d865f107b68566ea5bb87f3521b22
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.8.1-3mdv2008.1
+ Revision: 99047
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-2mdv2008.0
+ Revision: 75787
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Mon Jun 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-05 21:11:32 (36659)
- new upstream release

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 15:39:01 (31704)
- fill in summary & descriptions for all video drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

